Package com.independentsoft.office.word

# Class Bookmark

java.lang.Object
com.independentsoft.office.word.Markup
com.independentsoft.office.word.MarkupRange
com.independentsoft.office.word.BookmarkRange
com.independentsoft.office.word.Bookmark

All Implemented Interfaces:
  `IContentElement`, `IBlockContent`, `IBlockElement`, `IContentRunContent`, `IParagraphContent`, `IRangeMarkupElement`, `IRunLevelElement`, `IRunTrackChangeContent`, `IMathElement`, `ICellContent`, `IRowContent`

Direct Known Subclasses:
  `BookmarkStart`, `MoveBookmark`

public abstract class Bookmark extends BookmarkRange
The Class Bookmark.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `name`

  ### Fields inherited from class com.independentsoft.office.word.BookmarkRange

  `firstColumn, lastColumn`

  ### Fields inherited from class com.independentsoft.office.word.MarkupRange

  `displacedByCustomXml`

  ### Fields inherited from class com.independentsoft.office.word.Markup

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Bookmark()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract BookmarkRange`
  `clone()`
  `String`
  `getName()`
  Gets the name.
  `void`
  `setName​(String name)`
  Sets the name.

  ### Methods inherited from class com.independentsoft.office.word.BookmarkRange

  `getFirstColumn, getLastColumn, setFirstColumn, setLastColumn`

  ### Methods inherited from class com.independentsoft.office.word.MarkupRange

  `getContentElements, getDisplacedByCustomXml, setDisplacedByCustomXml`

  ### Methods inherited from class com.independentsoft.office.word.Markup

  `getID, setID`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

- ## Constructor Details

  - ### Bookmark

    public Bookmark()

- ## Method Details

  - ### clone

    public abstract BookmarkRange clone()
    Specified by:
      `clone` in interface `IBlockContent`
    Specified by:
      `clone` in interface `IBlockElement`
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IContentRunContent`
    Specified by:
      `clone` in interface `IMathElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in interface `IRangeMarkupElement`
    Specified by:
      `clone` in interface `IRowContent`
    Specified by:
      `clone` in interface `IRunLevelElement`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Specified by:
      `clone` in class `BookmarkRange`

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name